Bug 1574741 - Can't attach RHV metrics into ManageIQ
Summary: Can't attach RHV metrics into ManageIQ
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-ansible-collection
Classification: oVirt
Component: manageiq
Version: 1.1.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.2.4
: ---
Assignee: Ondra Machacek
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On: 1588415
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 23:23 UTC by Petr Kubica
Modified: 2018-06-26 08:43 UTC (History)
2 users (show)

Fixed In Version: ovirt-ansible-manageiq-1.1.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 08:43:49 UTC
oVirt Team: Infra
rule-engine: ovirt-4.2+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-ansible-manageiq pull 55 0 None None None 2018-05-24 13:13:46 UTC

Description Petr Kubica 2018-05-03 23:23:15 UTC
Description of problem:
role oVirt.manageiq will end with success (Role gave OK status to Internal Error response [1]) and in ManageIQ there is no record about rhv provider or metrics. ManageIQ is up and running but there are errors in production.log [2] and evm.log [3]

tested:
miq_qcow_url: http://releases.manageiq.org/manageiq-ovirt-gaprindashvili-2.qc2

engine_fqdn: engine.hostname.com
engine_user: admin@internal
engine_password: 123456
engine_cafile: /etc/pki/ovirt-engine/ca.pem

miq_rhv_provider_name: "rhv42"
metrics_fqdn: metricsstore.example.com
metrics_user: admin
metrics_password: 123456
metrics_port: 12345

[1] ok: [localhost] => {
    "changed": false, 
    "connection": "close", 
    "content": "500 Internal Server Error\nIf you are the administrator of this website, then please read this web application's log file and/or the web server's log file to find out what went wrong.", 
    "content_type": "text/plain; charset=UTF-8", 
    "date": "Thu, 03 May 2018 23:09:59 GMT", 
    "failed_when_result": false, 
    "invocation": {
        "module_args": {
            "attributes": null, 
            "backup": null, 
            "body": "{\n  \"type\": \"ManageIQ::Providers::Redhat::InfraManager\",\n  \"name\": \"rhv42\",\n  \"connection_configurations\": [{\n    \"endpoint\": {\n      \"role\": \"default\",\n      \"hostname\": \"engine.hostname.com\",\n            \"verify_ssl\": True,\n              \"certificate_authority\": \"-----BEGIN CERTIFICATE-----\nMIIEMjCCAxqgAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwbDELMAkGA1UEBhMCVVMx\nJDAiBgNVBAoMG3JoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbTE3MDUGA1UEAwwu\nMTAtMzctMTM3LTM1LnJoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbS45ODQ2NzAe\nFw0xODA1MDIxMjUwMzVaFw0yODA0MzAxMjUwMzVaMGwxCzAJBgNVBAYTAlVTMSQw\nIgYDVQQKDBtyaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20xNzA1BgNVBAMMLjEw\nLTM3LTEzNy0zNS5yaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20uOTg0NjcwggEi\nMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC2DpCl6wFeTe4b+meX2ZH7KzPe\nUjCFn5xyzz2oiFeiHEwjkGEZLcabu64U7h3O03P9nHFX9JRtsEq9nWrAP02koayX\nBVQX6MfprSnkADRkfqvpDs1pO7VtBKHRcy9ioPNeU7FV+E/MMmWJacr064v9DR7h\n/z63V3gp2Hg3Q3LeEldFAMcDAZlF39OpTsHyF9xqbrS9aneMjJ/r+FF56ER+KzoJ\nolSqBg/gsqQ3DICnzeThyoeCBgYBGJxui8+KBrIMRCKhV4B45mDPfcYxt+yQlde0\nhVjtPynaswQWyk0lefrJj6UFMYPjJp8gcCAQpSGTru1tTeR4yLp8sdE6veXXAgMB\nAAGjgd0wgdowHQYDVR0OBBYEFJROnVymrJzCWyUayZpJxjnzNl9XMIGXBgNVHSME\ngY8wgYyAFJROnVymrJzCWyUayZpJxjnzNl9XoXCkbjBsMQswCQYDVQQGEwJVUzEk\nMCIGA1UECgwbcmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tMTcwNQYDVQQDDC4x\nMC0zNy0xMzctMzUucmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tLjk4NDY3ggIQ\nADAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjANBgkqhkiG9w0BAQsF\nAAOCAQEAjp08VNMflGYUP0wfWrg+hLBh7OwTKWcRjZ27aPeeorm0IU/JS2FnzD/M\n6akd2yhaLnIEVO6sr5W954KmFC1dV6ccaAF9e6PBJNKFP/gGxhC5zDo84qD9IikX\nFDYi8gcOxg5Z1s4ZrISC2po9x32IrnvzRusB17K6CeE2X6sXRtBpVskWnFM97ie0\nBwQuiLoyyfBMX09y6r7AzViINUJFUu7EKMqJI/Cz7D+R1P871Z0XppiF5MpEQIsN\nCw9U/IExSzRVjhgT+Vh4iUNktNh0QYROSIxvVvVYbGAdLX2KnEuUERlHFMiE0scM\n/vz2lgivalbfSvwrRUJRblz0VOIErA==\n-----END CERTIFICATE-----\",\n          },\n    \"authentication\": {\n      \"userid\": \"admin@internal\",\n      \"password\": \"123456\",\n    },\n  },\n      {\n     \"endpoint\": {\n        \"role\": \"metrics\",\n        \"path\": \"ovirt_engine_history\",\n        \"hostname\": \"metricsstore.example.com\",\n                \"port\": \"12345\",\n              },\n      \"authentication\": {\n        \"userid\": \"admin\",\n        \"password\": \"123456\",\n      },\n    },\n    ],\n}\n", 
            "body_format": "json", 
            "client_cert": null, 
            "client_key": null, 
            "content": null, 
            "creates": null, 
            "delimiter": null, 
            "dest": null, 
            "directory_mode": null, 
            "follow": false, 
            "follow_redirects": "safe", 
            "force": false, 
            "force_basic_auth": true, 
            "group": null, 
            "headers": {
                "Authorization": "Basic YWRtaW46c21hcnR2bQ==", 
                "Content-Type": "application/json"
            }, 
            "http_agent": "ansible-httpget", 
            "method": "POST", 
            "mode": null, 
            "owner": null, 
            "password": "VALUE_SPECIFIED_IN_NO_LOG_PARAMETER", 
            "regexp": null, 
            "remote_src": null, 
            "removes": null, 
            "return_content": false, 
            "selevel": null, 
            "serole": null, 
            "setype": null, 
            "seuser": null, 
            "src": null, 
            "status_code": [
                200
            ], 
            "timeout": 30, 
            "unsafe_writes": null, 
            "url": "https://[manage_iq_ip]/api/providers", 
            "url_password": "VALUE_SPECIFIED_IN_NO_LOG_PARAMETER", 
            "url_username": "admin", 
            "use_proxy": true, 
            "user": "admin", 
            "validate_certs": false
        }
    }, 
    "msg": "Status code was 500 and not [200]: HTTP Error 500: Internal Server Error", 
    "redirected": false, 
    "server": "Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips mod_auth_kerb/5.4", 
    "status": 500, 
    "transfer_encoding": "chunked", 
    "url": "https://10.37.139.118/api/providers", 
    "x_request_id": "fdf399dd-782e-471b-869b-a47ce22ce8a7", 
    "x_runtime": "0.067132"
}


[2] production.log:
[----] I, [2018-05-03T17:03:23.597656 #13786:647170]  INFO -- : Processing by Api::ApiController#index as JSON
[----] I, [2018-05-03T17:03:29.129694 #13786:647170]  INFO -- : Completed 200 OK in 5532ms (Views: 0.7ms | ActiveRecord: 555.3ms)
[----] I, [2018-05-03T17:03:30.952866 #13786:64f834]  INFO -- : Started POST "/api/providers" for 127.0.0.1 at 2018-05-03 17:03:30 -0400
[----] F, [2018-05-03T17:03:30.966467 #13786:64f834] FATAL -- :
[----] F, [2018-05-03T17:03:30.966626 #13786:64f834] FATAL -- : JSON::ParserError (409: unexpected token at '{
    "endpoint": {
      "role": "default",
      "hostname": "engine.hostname.com",
            "verify_ssl": True,
              "certificate_authority": "-----BEGIN CERTIFICATE-----
MIIEMjCCAxqgAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwbDELMAkGA1UEBhMCVVMx
JDAiBgNVBAoMG3JoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbTE3MDUGA1UEAwwu
MTAtMzctMTM3LTM1LnJoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbS45ODQ2NzAe
Fw0xODA1MDIxMjUwMzVaFw0yODA0MzAxMjUwMzVaMGwxCzAJBgNVBAYTAlVTMSQw
IgYDVQQKDBtyaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20xNzA1BgNVBAMMLjEw
LTM3LTEzNy0zNS5yaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20uOTg0NjcwggEi
MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC2DpCl6wFeTe4b+meX2ZH7KzPe
UjCFn5xyzz2oiFeiHEwjkGEZLcabu64U7h3O03P9nHFX9JRtsEq9nWrAP02koayX
BVQX6MfprSnkADRkfqvpDs1pO7VtBKHRcy9ioPNeU7FV+E/MMmWJacr064v9DR7h
/z63V3gp2Hg3Q3LeEldFAMcDAZlF39OpTsHyF9xqbrS9aneMjJ/r+FF56ER+KzoJ
olSqBg/gsqQ3DICnzeThyoeCBgYBGJxui8+KBrIMRCKhV4B45mDPfcYxt+yQlde0
hVjtPynaswQWyk0lefrJj6UFMYPjJp8gcCAQpSGTru1tTeR4yLp8sdE6veXXAgMB
AAGjgd0wgdowHQYDVR0OBBYEFJROnVymrJzCWyUayZpJxjnzNl9XMIGXBgNVHSME
gY8wgYyAFJROnVymrJzCWyUayZpJxjnzNl9XoXCkbjBsMQswCQYDVQQGEwJVUzEk
MCIGA1UECgwbcmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tMTcwNQYDVQQDDC4x
MC0zNy0xMzctMzUucmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tLjk4NDY3ggIQ
ADAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjANBgkqhkiG9w0BAQsF
AAOCAQEAjp08VNMflGYUP0wfWrg+hLBh7OwTKWcRjZ27aPeeorm0IU/JS2FnzD/M
6akd2yhaLnIEVO6sr5W954KmFC1dV6ccaAF9e6PBJNKFP/gGxhC5zDo84qD9IikX
FDYi8gcOxg5Z1s4ZrISC2po9x32IrnvzRusB17K6CeE2X6sXRtBpVskWnFM97ie0
BwQuiLoyyfBMX09y6r7AzViINUJFUu7EKMqJI/Cz7D+R1P871Z0XppiF5MpEQIsN
Cw9U/IExSzRVjhgT+Vh4iUNktNh0QYROSIxvVvVYbGAdLX2KnEuUERlHFMiE0scM
/vz2lgivalbfSvwrRUJRblz0VOIErA==
-----END CERTIFICATE-----",
          },
    "authentication": {
      "userid": "admin@internal",
      "password": "123456",
    },
  },
      {
     "endpoint": {
        "role": "metrics",
        "path": "ovirt_engine_history",
        "hostname": "metricsstore.example.com",
                "port": "12345",
              },
      "authentication": {
        "userid": "admin",
        "password": "123456",
      },
    },
    ],
}
'):
[----] F, [2018-05-03T17:03:30.966768 #13786:64f834] FATAL -- :
[----] F, [2018-05-03T17:03:30.966897 #13786:64f834] FATAL -- : json (2.0.4) lib/json/common.rb:156:in `parse'
json (2.0.4) lib/json/common.rb:156:in `parse'
/usr/local/lib/ruby/gems/2.3.0/bundler/gems/manageiq-api-10e106522a95/lib/api/create_constraint.rb:4:in `matches?'
actionpack (5.0.6) lib/action_dispatch/routing/mapper.rb:38:in `block in matches?'
actionpack (5.0.6) lib/action_dispatch/routing/mapper.rb:37:in `each'
actionpack (5.0.6) lib/action_dispatch/routing/mapper.rb:37:in `all?'
actionpack (5.0.6) lib/action_dispatch/routing/mapper.rb:37:in `matches?'
actionpack (5.0.6) lib/action_dispatch/routing/mapper.rb:44:in `serve'
actionpack (5.0.6) lib/action_dispatch/journey/router.rb:39:in `block in serve'
actionpack (5.0.6) lib/action_dispatch/journey/router.rb:26:in `each'
actionpack (5.0.6) lib/action_dispatch/journey/router.rb:26:in `serve'
actionpack (5.0.6) lib/action_dispatch/routing/route_set.rb:727:in `call'
secure_headers (3.0.3) lib/secure_headers/middleware.rb:10:in `call'
rack (2.0.4) lib/rack/etag.rb:25:in `call'
rack (2.0.4) lib/rack/conditional_get.rb:38:in `call'
rack (2.0.4) lib/rack/head.rb:12:in `call'
rack (2.0.4) lib/rack/session/abstract/id.rb:232:in `context'
rack (2.0.4) lib/rack/session/abstract/id.rb:226:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/cookies.rb:613:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
activesupport (5.0.6) lib/active_support/callbacks.rb:97:in `__run_callbacks__'
activesupport (5.0.6) lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
activesupport (5.0.6) lib/active_support/callbacks.rb:90:in `run_callbacks'
actionpack (5.0.6) lib/action_dispatch/middleware/callbacks.rb:36:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
railties (5.0.6) lib/rails/rack/logger.rb:36:in `call_app'
railties (5.0.6) lib/rails/rack/logger.rb:26:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/request_id.rb:24:in `call'
rack (2.0.4) lib/rack/method_override.rb:22:in `call'
rack (2.0.4) lib/rack/runtime.rb:22:in `call'
activesupport (5.0.6) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
actionpack (5.0.6) lib/action_dispatch/middleware/executor.rb:12:in `call'
rack (2.0.4) lib/rack/sendfile.rb:111:in `call'
railties (5.0.6) lib/rails/engine.rb:522:in `call'
puma (3.7.1) lib/puma/configuration.rb:232:in `call'
puma (3.7.1) lib/puma/server.rb:578:in `handle_request'
puma (3.7.1) lib/puma/server.rb:415:in `process_client'
puma (3.7.1) lib/puma/server.rb:275:in `block in run'
puma (3.7.1) lib/puma/thread_pool.rb:120:in `block in spawn_thread'
[----] I, [2018-05-03T18:00:07.022707 #13775:83b224]  INFO -- : Started GET "/" for 127.0.0.1 at 2018-05-03 18:00:07 -0400
[----] I, [2018-05-03T18:00:14.763320 #13775:83b224]  INFO -- : Processing by DashboardController#login as HTML
[----] I, [2018-05-03T18:00:14.769351 #13775:83b224]  INFO -- : Fork detected, re-connecting child process...

[3] evm.log:
[----] I, [2018-05-03T17:03:28.273414 #13701:439130]  INFO -- : MIQ(MiqScheduleWorker::Runner#do_work) Number of scheduled items to be processed: 1.
[----] I, [2018-05-03T17:03:28.936440 #13216:439130]  INFO -- : MIQ(MiqServer#monitor_loop) Server Monitoring Complete - Timings: {:server_dequeue=>0.022961854934692383, :worker_monitor=>4.465011119842529, :work
er_dequeue=>0.030060529708862305, :total_time=>4.520928621292114}
Error during failsafe response: 409: unexpected token at '{
    "endpoint": {
      "role": "default",
      "hostname": "engine.hostname.com",
            "verify_ssl": True,
              "certificate_authority": "-----BEGIN CERTIFICATE-----
MIIEMjCCAxqgAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwbDELMAkGA1UEBhMCVVMx
JDAiBgNVBAoMG3JoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbTE3MDUGA1UEAwwu
MTAtMzctMTM3LTM1LnJoZXYubGFiLmVuZy5icnEucmVkaGF0LmNvbS45ODQ2NzAe
Fw0xODA1MDIxMjUwMzVaFw0yODA0MzAxMjUwMzVaMGwxCzAJBgNVBAYTAlVTMSQw
IgYDVQQKDBtyaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20xNzA1BgNVBAMMLjEw
LTM3LTEzNy0zNS5yaGV2LmxhYi5lbmcuYnJxLnJlZGhhdC5jb20uOTg0NjcwggEi
MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC2DpCl6wFeTe4b+meX2ZH7KzPe
UjCFn5xyzz2oiFeiHEwjkGEZLcabu64U7h3O03P9nHFX9JRtsEq9nWrAP02koayX
BVQX6MfprSnkADRkfqvpDs1pO7VtBKHRcy9ioPNeU7FV+E/MMmWJacr064v9DR7h
/z63V3gp2Hg3Q3LeEldFAMcDAZlF39OpTsHyF9xqbrS9aneMjJ/r+FF56ER+KzoJ
olSqBg/gsqQ3DICnzeThyoeCBgYBGJxui8+KBrIMRCKhV4B45mDPfcYxt+yQlde0
hVjtPynaswQWyk0lefrJj6UFMYPjJp8gcCAQpSGTru1tTeR4yLp8sdE6veXXAgMB
AAGjgd0wgdowHQYDVR0OBBYEFJROnVymrJzCWyUayZpJxjnzNl9XMIGXBgNVHSME
gY8wgYyAFJROnVymrJzCWyUayZpJxjnzNl9XoXCkbjBsMQswCQYDVQQGEwJVUzEk
MCIGA1UECgwbcmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tMTcwNQYDVQQDDC4x
MC0zNy0xMzctMzUucmhldi5sYWIuZW5nLmJycS5yZWRoYXQuY29tLjk4NDY3ggIQ
ADAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjANBgkqhkiG9w0BAQsF
AAOCAQEAjp08VNMflGYUP0wfWrg+hLBh7OwTKWcRjZ27aPeeorm0IU/JS2FnzD/M
6akd2yhaLnIEVO6sr5W954KmFC1dV6ccaAF9e6PBJNKFP/gGxhC5zDo84qD9IikX
FDYi8gcOxg5Z1s4ZrISC2po9x32IrnvzRusB17K6CeE2X6sXRtBpVskWnFM97ie0
BwQuiLoyyfBMX09y6r7AzViINUJFUu7EKMqJI/Cz7D+R1P871Z0XppiF5MpEQIsN
Cw9U/IExSzRVjhgT+Vh4iUNktNh0QYROSIxvVvVYbGAdLX2KnEuUERlHFMiE0scM
/vz2lgivalbfSvwrRUJRblz0VOIErA==
-----END CERTIFICATE-----",
          },
    "authentication": {
      "userid": "admin@internal",
      "password": "123456",
    },
  },
      {
     "endpoint": {
        "role": "metrics",
        "path": "ovirt_engine_history",
        "hostname": "metricsstore.example.com",
                "port": "12345",
              },
      "authentication": {
        "userid": "admin",
        "password": "123456",
      },
    },
    ],
}
'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/parameters.rb:88:in `rescue in parse_formatted_parameters'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/parameters.rb:82:in `parse_formatted_parameters'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/request.rb:354:in `block in POST'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/request.rb:57:in `fetch'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/request.rb:57:in `fetch_header'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/request.rb:353:in `POST'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/parameters.rb:45:in `parameters'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/mime_negotiation.rb:63:in `block in formats'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/request.rb:57:in `fetch'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/request.rb:57:in `fetch_header'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/http/mime_negotiation.rb:61:in `formats'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/public_exceptions.rb:22:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/show_exceptions.rb:49:in `render_exception'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/show_exceptions.rb:34:in `rescue in call'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/railties-5.0.6/lib/rails/rack/logger.rb:36:in `call_app'
  /usr/local/lib/ruby/gems/2.3.0/gems/railties-5.0.6/lib/rails/rack/logger.rb:26:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/request_id.rb:24:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/method_override.rb:22:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/runtime.rb:22:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/activesupport-5.0.6/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/actionpack-5.0.6/lib/action_dispatch/middleware/executor.rb:12:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/rack-2.0.4/lib/rack/sendfile.rb:111:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/railties-5.0.6/lib/rails/engine.rb:522:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/puma-3.7.1/lib/puma/configuration.rb:232:in `call'
  /usr/local/lib/ruby/gems/2.3.0/gems/puma-3.7.1/lib/puma/server.rb:578:in `handle_request'
  /usr/local/lib/ruby/gems/2.3.0/gems/puma-3.7.1/lib/puma/server.rb:415:in `process_client'
  /usr/local/lib/ruby/gems/2.3.0/gems/puma-3.7.1/lib/puma/server.rb:275:in `block in run'
  /usr/local/lib/ruby/gems/2.3.0/gems/puma-3.7.1/lib/puma/thread_pool.rb:120:in `block in spawn_thread'
[----] I, [2018-05-03T17:03:43.374853 #13701:439130]  INFO -- : MIQ(MiqScheduleWorker::Runner#do_work) Number of scheduled items to be processed: 7.


Version-Release number of selected component (if applicable):
rhv-42
ansible-2.5.2-1.el7ae.noarch
ovirt-ansible-manageiq-1.1.7-1.el7ev.noarch

How reproducible:
always

Steps to Reproduce:
1. run role with specified metrics variables

Comment 1 Yaniv Kaul 2018-05-04 05:38:39 UTC
Is the provider installed correctly?

Comment 2 Petr Kubica 2018-05-04 12:16:09 UTC
In ManageIQ there isn't any rhv provider. RHV provider should be added with filled Capacity & Utilization section but adding provider & metrics ends with error mentioned in comment #0

Comment 4 Petr Kubica 2018-06-08 08:42:32 UTC
Verified in ovirt-ansible-manageiq-1.1.10-1.el7ev.noarch
tested both latest CFME/ManageIQ

Comment 5 Sandro Bonazzola 2018-06-26 08:43:49 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.